<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

$set['title'] = lang('Игры и приложения');

require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Игры и приложения');
echo "</small></div><br />";

$act = (isset($_GET['act'])) ? htmlspecialchars($_GET['act']) : null;

switch ($act) {
    default:

        echo "<div class='list-group-item-null list-group-item-grey'>";
        echo "<ul class='nav nav-tabs' style='margin-bottom: -12px;'>
                <li class='nav-item'>
                    <a class='nav-link active'>" . lang('Каталог') . "</a>
                </li>
            </ul>";
        echo "</div>";

        $q = $db->query("SELECT * FROM `games` ORDER BY `pos` ASC");

        while ($post = $db->get_row($q)) {

            if (!isset($post['icon'])) {
                $db->query('ALTER TABLE `games` ADD `icon` VARCHAR( 32 ) NULL DEFAULT NULL');
            }

            echo "<table class='list-group-item-null list-group-item-grey dop'><tr><td class='icon14'>";
            echo "<img src='/modules/games/img/$post[icon]' width='48'/>";
            echo "</td><td class='null'>";

            echo "<a href='$post[url]'>" . lang($post['name']) . "</a>";
            #Счетчик, если есть
            if ($post['counter'] != NULL && is_file(H . $post['counter'])) {
                echo '<span class="count">';
                @include H . $post['counter'];
                echo '</span>';
            }
            echo "<br /><small style='color: grey;'>$post[opis]</small>";

            echo "</td></tr></table>";
        }

        $k_post = $db->super_query("SELECT COUNT(*) as count FROM games");
        $k_post = $k_post['count'];

        #Если нет разделов меню
        if ($k_post == 0) {
            echo "<br />";
            $doc->NoResult();
        }
        if (access('adm_games')) {
            echo "<div class='list-group-item-null'>";
            $doc->Link('btn btn-secondary btn-sm', '/panel/games.php', 'plus', 'Добавить приложение');
            echo "</div>";
        }

        break;
}

require_once H . 'sys/inc/tfoot.php';
